context("Generic tests")
test_that("Sanity checks", {
  #source("csindicators/R/MergeRefToExp.R")
  data_dates <- c(seq(as.Date("01-07-1993", "%d-%m-%Y", tz = 'UTC'),
                    as.Date("01-12-1993","%d-%m-%Y", tz = 'UTC'), "day"),
                seq(as.Date("01-07-1994", "%d-%m-%Y", tz = 'UTC'),
                    as.Date("01-12-1994","%d-%m-%Y", tz = 'UTC'), "day"))
  dim(data_dates) <- c(ftime = 154, sdate = 2)
  ref_dates <- seq(as.Date("01-01-1993", "%d-%m-%Y", tz = 'UTC'),
                 as.Date("01-12-1994","%d-%m-%Y", tz = 'UTC'), "day")
  dim(ref_dates) <- c(ftime = 350, sdate = 2)
  ref <- array(1001:1700, c(ftime = 350, sdate = 2))
  data <- array(1:(2*154*2), c(ftime = 154, sdate = 2, member= 2))
  ref <- CSTools::s2dv_cube(data = ref, Dates = list(start = ref_dates,
                                                   end = ref_dates))
  data <- CSTools::s2dv_cube(data = data, Dates = list(start = data_dates,
                                            end = data_dates))
  
  expect_equal(CST_MergeRefToExp(data1 = ref, data2 = data, start1 = list(21, 6),
     end1 = list(30, 6), start2 = list(1, 7),  
     end = list(21, 9))$Dates, SelectPeriodOnDates(ref_dates,
     start = list(21, 6), end = list(21,9)))
  output <- array(c(1172:1181, 1:83, 1537:1546, 155:237, 1172:1181, 309:391,
                    1537:1546, 463:545), c(ftime = 93, sdate = 2, member = 2)) 
  expect_equal(CST_MergeRefToExp(data1 = ref, data2 = data, start1 = list(21, 6),
     end1 = list(30, 6), start2 = list(1, 7)
     end = list(21, 9))$data, output)
 })

